--COMBAT_LOG_EVENT_UNFILTERED
function(e, ...)
	local se = select(2, ...)
	if se == "SWING_MISSED" or se == "SPELL_MISSED" then
		local target = select(9, ...)
		local misstype = select(12, ...)
		if misstype == "DODGE" and target == UnitName("player") then
			if not aura_env.dodg then aura_env.dodg = 0 end
			aura_env.dodg = aura_env.dodg + 1
			return true
		end
	end
end

--DISPLAY
function()
	if not aura_env.dodg then aura_env.dodg = 0 end
	return aura_env.dodg
end